Subject: bug#6967: flymake not cleaning after itself (kill-buffer)

From: Stefan Monnier <[email-masked]>
Date: Mon, 25 Oct 2010 12:20:45 -0400

> Semantic needs a variant of find-file that puts a buffer into the correct
> mode, which in turn runs the major-mode hook.  It also needs to run the
> mode-local hooks, but doesn't run miscellaneous other interactive
> tool hooks.

IIUC Semantic visits those files "temporarily" (i.e. it will kill the
buffer afterwards, although probably not if the buffer already existed).

I think this need is not specific to Semantic, and so we should provide
this functionality in files.el.  Maybe in a `with-found-file' macro.

        Stefan